﻿using Sample_129354;
using Sample_129354.Models;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;

namespace Sample_129354.Models
{
    public class OrderRespositary
    {
        public static IList<EditableOrder> GetAllRecords()
        {
            IList<EditableOrder> orders = (IList<EditableOrder>)HttpContext.Current.Session["Orders"];

            if (orders == null)
            {
                HttpContext.Current.Session["Orders"] = orders = (from ord in new NorthwindDataContext().Orders.Take(100)
                                                                  select new EditableOrder
                                                                  {
                                                                      OrderID = ord.OrderID,
                                                                      CustomerID = ord.CustomerID,
                                                                      EmployeeID = ord.EmployeeID,
                                                                      ShipCity = ord.ShipCity,
                                                                      ShipName = ord.ShipName,
                                                                  }).ToList();
               
            }
            return orders;
        }
    
        public static void Add(EditableOrder order)
        {
            SqlConnection con = new SqlConnection(@"Data Source=(LocalDB)\v11.0;AttachDbFilename=|DataDirectory|\NORTHWND.mdf;Integrated Security=True");

            SqlCommand cmd = new SqlCommand();
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.CommandText = "[prc_InsertOrder]";
            cmd.Parameters.Add(new SqlParameter("@EmployeeID", SqlDbType.Int)).Value = order.EmployeeID;

            cmd.Parameters.Add(new SqlParameter("@ShipCity", SqlDbType.VarChar)).Value = order.ShipCity;
            cmd.Parameters.Add(new SqlParameter("@ShipName", SqlDbType.VarChar)).Value = order.ShipName;
            cmd.Connection = con;
            con.Open();

            cmd.ExecuteNonQuery();
            con.Close();
        }

    }
  

}